Package in.cdac.medinfo.csnotk.csnolib.disb.model

## Class SubstanceIdentifier

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.disb.model.SubstanceIdentifier

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SubstanceIdentifier
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SubstanceIdentifier()` |
    `SubstanceIdentifier​(java.lang.String value, java.lang.String codingSystemName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CodingSystem` | `getCodingSystem()` |
    `java.lang.String` | `getCodingSystemName()` |
    `java.lang.String` | `getId()` |
    `SubstanceDetail` | `getSubstanceDetail()` |
    `java.lang.String` | `getValue()` |
    `void` | `setCodingSystem​(CodingSystem codingSystem)` |
    `void` | `setCodingSystemName​(java.lang.String codingSystemName)` |
    `void` | `setId​(java.lang.String id)` |
    `void` | `setSubstanceDetail​(SubstanceDetail substanceDetail)` |
    `void` | `setValue​(java.lang.String value)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubstanceIdentifier

          public SubstanceIdentifier()

    - #### SubstanceIdentifier

          public SubstanceIdentifier​(java.lang.String value,
                                     java.lang.String codingSystemName)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId​(java.lang.String id)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue​(java.lang.String value)

    - #### getCodingSystem

          public CodingSystem getCodingSystem()

    - #### setCodingSystem

          public void setCodingSystem​(CodingSystem codingSystem)

    - #### getSubstanceDetail

          public SubstanceDetail getSubstanceDetail()

    - #### setSubstanceDetail

          public void setSubstanceDetail​(SubstanceDetail substanceDetail)

    - #### getCodingSystemName

          public java.lang.String getCodingSystemName()

    - #### setCodingSystemName

          public void setCodingSystemName​(java.lang.String codingSystemName)